Subject: Re: bug#26815: [PATCH v4 3/3] vm: Add UEFI loader to disk images.

From: Marius Bakke <[email-masked]>
Date: Fri, 19 May 2017 00:52:28 +0200

Ludovic Courtès <[email-masked]> writes:

>> From b2236aa915bfb32e974546790a1e87ef1b268403 Mon Sep 17 00:00:00 2001
>> From: Marius Bakke <[email-masked]>
>> Date: Thu, 18 May 2017 18:10:31 +0200
>> Subject: [PATCH] vm: Initialize-hard-disk now takes a grub-efi parameter.
>>
>> * gnu/build/vm.scm (initialize-hard-disk): Learn #:grub-efi.
>> (install-efi): Use it.
>> * gnu/system/vm.scm (qemu-image): Pass it.
>
> LGTM!  I suppose you’d squash it with the initial patch?

Indeed. Figured this was an easier review format, though.

I'll push this series shortly, after some basic sanity checks. Thanks a
lot for the great feedback! I'll work on a more Guixy way of creating
the standalone GRUB image and also a system test for the next release ;-)